liborigin2: Origin::Color Struct Reference

liborigin2 29/08/2011

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Attributes | List of all members
Origin::Color Struct Reference

`#include <OriginObj.h>`

## Public Types
enum | ColorType { None, Automatic, Regular, Custom, Increment, Indexing, RGB, Mapping }
enum | RegularColor { Black = 0, Red = 1, Green = 2, Blue = 3, Cyan = 4, Magenta = 5, Yellow = 6, DarkYellow = 7, Navy = 8, Purple = 9, Wine = 10, Olive = 11, DarkCyan = 12, Royal = 13, Orange = 14, Violet = 15, Pink = 16, White = 17, LightGray = 18, Gray = 19, LTYellow = 20, LTCyan = 21, LTMagenta = 22, DarkGray = 23 }

## Public Attributes
union {
unsigned char column
unsigned char custom [3]
unsigned char regular
unsigned char starting
}; |
ColorType | type

## Member Enumeration Documentation

enum Origin::Color::ColorType

Enumerator
None |
Automatic |
Regular |
Custom |
Increment |
Indexing |
RGB |
Mapping |

enum Origin::Color::RegularColor

Enumerator
Black |
Red |
Green |
Blue |
Cyan |
Magenta |
Yellow |
DarkYellow |
Navy |
Purple |
Wine |
Olive |
DarkCyan |
Royal |
Orange |
Violet |
Pink |
White |
LightGray |
Gray |
LTYellow |
LTCyan |
LTMagenta |
DarkGray |

## Member Data Documentation

union { ... }

unsigned char Origin::Color::column

Referenced by std::iendianfstream::operator>>().

unsigned char Origin::Color::custom[3]

Referenced by std::iendianfstream::operator>>(), and Origin500Parser::readColorMap().

unsigned char Origin::Color::regular

Referenced by std::iendianfstream::operator>>(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), and Origin610Parser::readGraphInfo().

unsigned char Origin::Color::starting

Referenced by std::iendianfstream::operator>>().

ColorType Origin::Color::type

Referenced by std::iendianfstream::operator>>(), Origin500Parser::readColorMap(), Origin410Parser::readGraphInfo(), Origin500Parser::readGraphInfo(), and Origin610Parser::readGraphInfo().

The documentation for this struct was generated from the following file:

- /build/liborigin2/src/liborigin2/OriginObj.h